Cannot find a valid baseurl for repo: (stops preupgrade)
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 3 of 3
  1. #1
    Join Date
    Feb 2011
    Posts
    28

    Cannot find a valid baseurl for repo: (stops preupgrade)

    I have a problem with preupgrade: Terminal>>
    preupgrade
    Loaded plugins: blacklist, fastestmirror, langpacks, whiteout
    No plugin match for: rpm-warm-cache
    No plugin match for: remove-with-leaves
    No plugin match for: auto-update-debuginfo
    preupgrade-main (mirrorlist)
    url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=$basearch
    now: http://mirrors.fedoraproject.org/mir...a-17&arch=i386
    Determining fastest mirrors
    Could not retrieve mirrorlist http://wargaleon.users.sourceforge.n...fedora-16-i386 error was
    14: HTTP Error 404 - Not Found : http://wargaleon.users.sourceforge.n...fedora-16-i386
    Cannot find a valid baseurl for repo: freebasic
    [root@Chris-PC ~]# yum install remove-leaves
    Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
    Loading mirror speeds from cached hostfile
    fedora/metalink | 31 kB 00:00
    Could not retrieve mirrorlist http://wargaleon.users.sourceforge.n...fedora-16-i386 error was
    14: HTTP Error 404 - Not Found : http://wargaleon.users.sourceforge.n...fedora-16-i386
    Error: Cannot find a valid baseurl for repo: freebasic

    I cannot fix this "Cannot find a valid baseurl for repo: freebasic"
    Can someone clearly & simply give me instruction to fix (I'm still a Linux noob-I've been using Windows mainly but now want to get back to Linux/Fedora) this?

  2. #2
    PabloTwo's Avatar
    PabloTwo is offline "Registered User" T-Shirt Winner
    Join Date
    Mar 2007
    Location
    Seville, FL
    Posts
    7,770

    Re: Cannot find a valid baseurl for repo: (stops preupgrade)

    Yes, you can fix this:
    Code:
    su
    rm /etc/yum.repos.d/freebasic.repo
    You have installed a repo that is only valid for F13 and F14, and you appear to be running F17.

    Edit: Rather, I suppose you are try to "preupgrade" to F17 from either F13 or F14. If that's the case, the chances of success are slim.
    Last edited by PabloTwo; 22nd September 2012 at 06:42 PM.

  3. #3
    Join Date
    Feb 2011
    Posts
    28

    Re: Cannot find a valid baseurl for repo: (stops preupgrade)

    Thanks PabloTwo
    I am about to remove the freebasic repo with your command & then try preupgrade.
    I actually successfully preugraded from F14 to F16 earlier. I am not sure why the upgrade didn't go straight to latest v F17...
    I'll let you know how it goes...best wishes

Similar Threads

  1. Cannot find a valid baseurl for repo
    By flokip in forum Alpha, Beta & Snapshots Discussions (Fedora 11 Only)
    Replies: 2
    Last Post: 11th March 2009, 12:19 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •